Bug 243560 - www/py-flask-smorest: Update to 0.18.5
Summary: www/py-flask-smorest: Update to 0.18.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-24 11:31 UTC by Goran Mekić
Modified: 2020-02-17 05:53 UTC (History)
0 users

See Also:


Attachments
py-flask-smorest.diff (930 bytes, patch)
2020-01-24 11:31 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff
py-flask-smorest.diff (930 bytes, patch)
2020-02-01 11:52 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2020-01-24 11:31:07 UTC
Created attachment 211009 [details]
py-flask-smorest.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (528 passed)
Comment 1 Automation User 2020-01-24 11:48:06 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/111996133
Comment 2 Goran Mekić 2020-02-01 11:52:48 UTC
Created attachment 211248 [details]
py-flask-smorest.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (528 passed)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 05:17:40 UTC
'webargs>=1.5.2,<6.0.0', needs to be reflected in RUN_DEPENDS (or it'll fail at run time if/when webargs port is update past 6)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 05:53:49 UTC
Committed with changes (comment 3)

Thanks Goran!
Comment 5 commit-hook freebsd_committer 2020-02-17 05:53:55 UTC
A commit references this bug:

Author: koobs
Date: Mon Feb 17 05:53:28 UTC 2020
New revision: 526341
URL: https://svnweb.freebsd.org/changeset/ports/526341

Log:
  www/py-flask-smorest: Update to 0.18.5

  Changelog:

    https://github.com/marshmallow-code/flask-smorest/blob/0.18.5/CHANGELOG.rst

  PR:		243560
  Submitted by:	Goran Meki? <meka tilda center>

Changes:
  head/www/py-flask-smorest/Makefile
  head/www/py-flask-smorest/distinfo